Subject: bug#44020: 28.0.50; Prefer selection of colour emoji fonts?

From: Robert Pluim <[email-masked]>
Date: Mon, 19 Oct 2020 12:56:33 +0200

>>>>> On Fri, 16 Oct 2020 16:49:43 +0200, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Robert Pluim <[email-masked]> writes:
    >> Iʼll see if I can clean this up this weekend and throw it on a branch.

    Lars> Looking forward to it.  :-)  And I agree with Eli; doing it on the trunk
    Lars> would be fine.

So revisiting this, it turns out I have *two* features sitting in my workspace:

1. splitting out the emoji into a separate script and setting the right
  fontset
2. adding composition rules for the zwj emoji described in
  emoji-zwj-sequences.txt

[2] has some complications regarding the default display of the
variation-selector, so Iʼll leave that aside for now, and continue on
updating [1] to Unicode 13.0

Robert
--